function [bet, R2] = myols(y,x)
% OLS
% y = temp_xi;
% x = F1_til;

bet = (x'*x)\(x'*y); %ols

% calculate R2 when it is needed
if nargout > 1
    e   = y - x*bet;     %resid
    ym  = y-mean(y);     %demean
    R2  = 1 - (e'*e)/(ym'*ym); %R2
end
