function [F2_trans,lambda2_trans] = rotation_lamb2_old(F2_til,lambda1_til,lambda2_til,er1)

F2_trans      = F2_til;
lambda2_trans = lambda2_til;

%rotation first er1 columns of lambda2
lambda1_til0 = lambda1_til(:,1:er1);
lambda2_til0 = lambda2_til(:,1:er1);
R1           = (lambda2_til0'*lambda2_til0)\lambda2_til0'*lambda1_til0;

lambda2_trans(:,1:er1) = lambda2_til0*R1;
F2_trans0    = F2_til(:,1:er1)/R1'; %F2_til*inv(R1')

%normalize the column norm of F2_trans
[T2,k]    = size(F2_trans0);
R2        = sqrt(diag(F2_trans0'*F2_trans0)/T2);
R2        = diag(R2);
F2_trans0 = F2_trans0/R2;  %F2_trans*inv(R2);

lambda2_trans(:,1:er1) = lambda2_trans(:,1:er1)*R2';
F2_trans(:,1:er1)      = F2_trans0;
