function xxcal = xcaltrans_inv(xxdate)
% inverse transform of xcaltrans
% only supports monthly and cell

% xxdate: 1999M3 (cell)
% xxcal = 1999 + (3-1)/12;

% Back out T0 (conjectured break point)
n = length(xxdate);
xxcal = zeros(n,1);

for i=1:1:n
    temp_xxdate = xxdate{i};
    temp_y      = str2double(temp_xxdate(1:4)); %year
    temp_m      = str2double(temp_xxdate(6:7)); %month
    xxcal(i,1)  = temp_y + (temp_m-1)/12;
end

