function [rp,mr] = model_sel_full(N,T,r1,k,eta1,rho1,a,beta,R,cons,R2_1)


ratio = 0.9.^(0:k); %ratio of variance across factors
share1=ratio(1:r1)/sum(ratio(1:r1)); %before break

%%%%%% End of Parameter Definition %%%%%%%%

Sr=zeros(R,1); 
parfor s=1:R  
%--------------------------------------------------------------------------
%--------------------------------------------------------------------------
[X,C] = paneldata_full(N,T,r1,rho1,eta1,a,beta,R2_1,share1);

r1_hat = rank_est_full(X,k,cons);

Sr(s,:)=r1_hat;

end

%model statistics reported

mr = mean(Sr);

rp_s = mean(Sr(:,1)==(r1-1));
rp_e = mean(Sr(:,1)==r1);
rp_l = mean(Sr(:,1)==(r1+1));
rp = [rp_e,rp_s,rp_l]; %1x3 row vector









                                                                                                                                                                                                         